Crazy Eddies GUI System: CEGUI::Exception Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CEGUI::Exception Class Reference

Root exception class used within the GUI system. More...

Inherited by CEGUI::AlreadyExistsException, CEGUI::FileIOException, CEGUI::GenericException, CEGUI::InvalidRequestException, CEGUI::MemoryException, CEGUI::NullObjectException, CEGUI::ObjectInUseException, CEGUI::RendererException, CEGUI::ScriptException, and CEGUI::UnknownObjectException.

Collaboration diagram for CEGUI::Exception:
[legend]

List of all members.

## Public Member Functions
virtual | ~Exception (void) throw ()
| Virtual destructor.
const String & | getMessage (void) const
| Return a reference to the String object describing the reason for the exception being thrown.
const String & | getName () const
| Return a reference to the String object containing the exception name (i.e. class type).
const String & | getFileName (void) const
| Return a reference to the String object containing the name of the file where the exception occurred.
int | getLine (void) const
| Return the line number where the exception occurred.
const char * | what () const throw ()
## Protected Member Functions
| Exception (const String &message="", const String &name="CEGUI::Exception", const String &filename="", int line=0)
| Protected constructor that prevents instantiations (users should employ derived exception classes instead) and that is responsible for logging the exception.
## Protected Attributes
String | d_message
| Holds the reason for the exception being thrown.
String | d_filename
| Holds the name of the file where the exception occurred.
String | d_name
| Holds the class name of the exception (e.g. CEGUI::ObjectInUseException)
int | d_line
| Holds the line number where the exception occurred.
String | d_what
| Holds the default error message.

## Detailed Description

Root exception class used within the GUI system.

## Constructor & Destructor Documentation

CEGUI::Exception::Exception | ( | const String & | message = `""`,
|  | const String & | name = `"CEGUI::Exception"`,
|  | const String & | filename = `""`,
|  | int | line = `0`
| ) |  | `[protected]`

Protected constructor that prevents instantiations (users should employ derived exception classes instead) and that is responsible for logging the exception.

Parameters:

  message | String object describing the reason for the exception being thrown.
  name | String object describing the exception class name (e.g. CEGUI::UnknownObjectException)
  filename | String object containing the name of the file where the exception occurred.
  line | Integer representing the line number where the exception occurred.

## Member Function Documentation

const String& CEGUI::Exception::getFileName | ( | void |  | ) | const`[inline]`

Return a reference to the String object containing the name of the file where the exception occurred.

Returns:
  String object containing the name of the file where the exception occurred.

int CEGUI::Exception::getLine | ( | void |  | ) | const`[inline]`

Return the line number where the exception occurred.

Integer representing the line number where the exception occurred.

const String& CEGUI::Exception::getMessage | ( | void |  | ) | const`[inline]`

Return a reference to the String object describing the reason for the exception being thrown.

Returns:
  String object containing a message describing the reason for the exception.

const String& CEGUI::Exception::getName | ( |  | ) | const`[inline]`

Return a reference to the String object containing the exception name (i.e. class type).

Returns:
  String object containing the exception name.